View Issue Details

This bug affects 1 person(s).
 16
IDProjectCategoryView StatusLast Update
14113Bug reportsSurvey takingpublic2021-07-13 08:27
Reportermcovents Assigned Toc_schmitz  
PriorityhighSeveritypartial_block 
Status closedResolutionduplicate 
Product Version3.13.x 
Summary14113: Ampersands are changed to &
DescriptionI have an issue with the end-url setting. I'm using Limesurvey 3.14.9+180917
All ampersand signs (&) in the url are changed to & (see screenshot) when the user is at the end of the survey.
But only when the "automatically load end url when survey complete" is enabled.
When the "automatically load end url when survey complete" is disabled the end-url is shown correctly on the screen.
TagsNo tags attached.
Bug heat16
Complete LimeSurvey version number (& build)3.14.9+180917
I will donate to the project if issue is resolvedNo
BrowserFirefox 62.0.2 (64-bits)
Database type & versiondon't know
Server OS (if known)don't know
Webserver software & version (if known)don't know
PHP VersionPHP Version 7.2.7

Relationships

duplicate of 14110 closed Redirection Url stores & marks as & 
related to 14972 feedbackollehar Ampersand will be translated into "&amp" 
related to 14487 closedDenisChenu While UPDATING ti V 3.15.X End-URL doesn't work correctly 
related to 14589 acknowledged Expression in end URL seems to be impossible 

Users monitoring this issue

User List c_schmitz

Activities

jelo

jelo

2018-09-29 23:09

partner   ~49192

The is no screenshot attached.
I currently don't understand the error description

Where is the change in "ampersand signs (&) is changed to &" ?
Do you mean "&" is changed to "&"?

Click on the version number at the bottom of LimeSurvey to get a modal window with more infos about the server environment (e.g . OS).
DenisChenu

DenisChenu

2018-09-30 17:15

developer   ~49193

You mean : `&` are changed `&` ?
mcovents

mcovents

2018-09-30 18:08

reporter   ~49194

Hello,
I have two surveys.
In the first survey I entered a end-url which points to the second survey.
This end-url (see below) contains several ampersands.
http://limesurvey.cvotsm.be/LimeSurvey/index.php?r=survey/index&sid=173264&token={TOKEN}&newtest=Y&lang=nl
Everything works ok when I have the setting "automatically load end url when survey complete" disabled.
In this case the user gets a link at the end of the first survey where he has to click on.
But I want the second survey to load automatically.
This is possible by enabling the "automatically load end url when survey complete" setting.
In this case however all the & characters in the url are changed to & which generates a 404 error (page not found) (see screenshot in attachment)
I hope this clarifies the problem.
Below You can find the server info that I didn't provide before.
Please don't hesitate to ask for further info if needed
Best regards,
    LimeSurvey versie
    3.14.9
    LimeSurvey build
    180917
    Besturingssysteem
    Windows NT LIMESURVEY 10.0 build 14393 (Windows Server 2016) i586
    PHP-versie
    7.2.7
    Webserver naam
    limesurvey.cvotsm.be
    Webserver software
    Microsoft-IIS/10.0
    Webserver informatie
    HTTP/1.1
    Database driver
    mysql
    Database driver versie
    mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387 $
    Database serverinformatie
    Uptime: 547484 Threads: 1 Questions: 1199288 Slow queries: 0 Opens: 2363 Flush tables: 1 Open tables: 36 Queries per second avg: 2.190
    Database serverversie
    Uptime: 547484 Threads: 1 Questions: 1199288 Slow queries: 0 Opens: 2363 Flush tables: 1 Open tables: 36 Queries per second avg: 2.190
mcovents

mcovents

2018-09-30 18:17

reporter   ~49195

Hello,

A second note because I noticed that the example of my end-url is also transformed in this bug tracker.
Please find a screenshot of the end-url setting in my first survey.
Notice that the url contains & characters and not &
Best regards,
LouisGac

LouisGac

2018-10-01 11:10

developer   ~49198

https://github.com/LimeSurvey/LimeSurvey/commit/d8b22f369780d577428dc8c5213fa3bf4d7fafe5

could you please update to 3.14.11 and confirm the issue is fixed?
Mazi

Mazi

2019-02-07 10:47

partner   ~50431

This issue still seems to show up, see https://bugs.limesurvey.org/view.php?id=14487#c50410
DenisChenu

DenisChenu

2019-02-07 11:01

developer   ~50432

Yes, we need to fix quote inside expression.
Mazi

Mazi

2019-03-18 09:40

partner   ~51027

Louis, this is a pretty annoying issue which causes us trouble at various projects. Could you have a look? I hope it is not that complex to fix.
Mazi

Mazi

2019-03-18 09:52

partner   ~51028

Please check https://bugs.limesurvey.org/view.php?id=14487#c50404 for some sample surveys.
DenisChenu

DenisChenu

2019-03-18 11:55

developer   ~51029

I think its because url are saved as usr (encoded) , no ?
Mazi

Mazi

2019-10-25 15:18

partner   ~54230

@c_schmitz, I kindly ask you to add this ticket to the next sprint session since a customer is asking for progress. Thanks!
Mazi

Mazi

2019-12-27 19:08

partner   ~55113

@cdorin, @c_schmitz, can we please add this one to the next sprint? This issue is >1 year old and I have asked for a fix several times since a customer depends on the fix before being able to update to Limesurvey 3.
ollehar

ollehar

2020-01-31 12:53

administrator   ~55581

Still issue in LS3 and LS4?
ollehar

ollehar

2020-01-31 13:43

administrator   ~55585

Could this be fixed without hurting XSS? Is it working if XSS filtering is disabled?
Mazi

Mazi

2020-01-31 14:15

partner   ~55588

@cdorin, can you test with the latest versions?
Does it make a difference if the end URL is entered as a superadmin user or a cmmon user with less rights? Maybe XSS filter already converts the "&" and you don't see that at the interface?
c_schmitz

c_schmitz

2021-03-08 23:27

administrator   ~62912

Please provide a 1-question example survey demonstrating the issue.
Thank you!
Mazi

Mazi

2021-03-09 17:02

partner   ~62960

Sample surveys are available at https://bugs.limesurvey.org/view.php?id=14487#c50404

Issue History

Date Modified Username Field Change
2018-09-29 19:35 mcovents New Issue
2018-09-29 23:09 jelo Note Added: 49192
2018-09-30 17:15 DenisChenu Note Added: 49193
2018-09-30 18:08 mcovents File Added: end-url ampersand issue.png
2018-09-30 18:08 mcovents Note Added: 49194
2018-09-30 18:17 mcovents File Added: screenshot end-url setting in first survey.png
2018-09-30 18:17 mcovents Note Added: 49195
2018-10-01 11:10 LouisGac Note Added: 49198
2018-10-01 11:11 LouisGac Assigned To => LouisGac
2018-10-01 11:11 LouisGac Status new => feedback
2018-10-01 14:51 Mazi Relationship added duplicate of 14110
2019-02-07 10:47 Mazi Note Added: 50431
2019-02-07 10:48 Mazi Relationship added parent of 14487
2019-02-07 10:48 Mazi Issue Monitored: c_schmitz
2019-02-07 10:48 Mazi Status feedback => confirmed
2019-02-07 11:01 DenisChenu Note Added: 50432
2019-03-01 14:40 DenisChenu Relationship added related to 14589
2019-03-18 09:40 Mazi Note Added: 51027
2019-03-18 09:45 c_schmitz Assigned To LouisGac => cdorin
2019-03-18 09:50 Mazi Relationship replaced related to 14487
2019-03-18 09:52 Mazi Note Added: 51028
2019-03-18 11:54 c_schmitz Assigned To cdorin => LouisGac
2019-03-18 11:55 DenisChenu Note Added: 51029
2019-10-25 15:18 Mazi Note Added: 54230
2019-10-25 17:17 c_schmitz Priority none => urgent
2019-10-25 17:17 c_schmitz Summary Ampersands are changed to & => Ampersands are changed to &
2019-10-25 17:17 c_schmitz Description Updated View Revisions
2019-12-27 19:08 Mazi Note Added: 55113
2020-01-31 10:03 Mazi Relationship added related to 14972
2020-01-31 10:12 ollehar Assigned To LouisGac => cdorin
2020-01-31 12:53 ollehar Note Added: 55581
2020-01-31 13:43 ollehar Note Added: 55585
2020-01-31 13:44 ollehar Status confirmed => feedback
2020-01-31 14:15 Mazi Note Added: 55588
2021-02-04 10:15 cdorin Status feedback => new
2021-02-08 17:01 cdorin Assigned To cdorin =>
2021-02-08 17:01 cdorin Priority urgent => high
2021-02-08 17:01 cdorin Status new => acknowledged
2021-03-08 23:27 c_schmitz Assigned To => c_schmitz
2021-03-08 23:27 c_schmitz Status acknowledged => feedback
2021-03-08 23:27 c_schmitz Note Added: 62912
2021-03-09 17:02 Mazi Note Added: 62960
2021-07-13 08:27 c_schmitz Status feedback => closed
2021-07-13 08:27 c_schmitz Resolution open => duplicate